 ###########################################################################
 #            Copyright (C) 2006 SafeNet, Inc.                             #
 #                   All Rights Reserved                                   #
 #                                                                         #
 #         This uninstalls sentinel keys Protection  version 1.0.2         #
 #                                                                         #
 ###########################################################################
#!/bin/sh
PACKAGE_DIR=/opt/safenet_sentinel
PRODUCT_NAME_DIR=sentinel_keys
PRODUCT_NAME=Sentinel\ Keys
PRODUCT_VER=102
NAME_SEP=_
MAJOR=1
MINOR=0
REV=2
version=1.0.2
spi_version=1.0.2
sud_version=7.3.0
srv_version=1.0.2
SRV_VER=102
SPI_VER=102
SUD_VER=730
SUD_RPM=sntl-sud
SERVER_RPM=shk-server
SPI_RPM=shk-skpi
CD_INSTALLER_DIR=sentinel_keys_installer
SPI_INSTALL_DIR=/opt/safenet_sentinel/sentinel_keys/1.0/sentinel_keys_protection_installer
CD_INSTALLER_DIR=sentinel_keys_installer
CD_SPI_DIR=sentinel_keys_protection_installer
SPI_INSTALL_DIR=/opt/safenet_sentinel/sentinel_keys/1.0/sentinel_keys_protection_installer
SUD_INSTALL_DIR=/opt/safenet_sentinel/common_files
sntl_product_info=/var/opt/sentinel_keys/shk_product.info
old_sntl_product_info=/var/opt/sentinel/sntl_product.info
RELEASE_DATE=0612

###############################################################################
#                      Check for Dependencies
###############################################################################
check_dep()
{
#check for root
user_id=`id -u`
if [ $user_id -ne 0 ]
then
    echo "WARNING:To Install this software make sure you have Super User (root) permission."  
    echo "Installation Aborted."
    exit
fi

}
##############################################################################

ask()
{
    echo $line
    choice=-1
    while [ "$choice" != "1" ] && [ "$choice" != "2" ] && [ "$choice" != "0" ]
    do
        echo "   0 : Exit                                 "
        echo "   1 : Un-install only Sentinel Key Server"    
        echo "   2 : Un-install both Server and SUD "
        echo -n "Please enter your choice: "
        read -r choice
    done
    echo $line
}
###############################################################################
errchecking(){
 if [ $? = 0 ]
             then
                echo "Successfully un-installed $Package "
                echo $line
              else
                echo "$Package un-installation failed"
                echo "WARNING:To uninstall this software make sure that you have Super user (root) permissions."
                echo $line
             fi
}

###############################################################################
  clear
  line="-------------------------------------------------------------------------------"
  choice=-1
  ret=0

  check_dep
  
  echo $line
  echo "              Sentinel Key Installer $spi_version Un-Installation Script "
  echo "                            Copyright (C) 2006 SafeNet, Inc."
  echo "                                All rights reserved."
  echo $line
  echo "This script will un-install                    "
  echo "    - Sentinel USB Daemon (SUD $sud_version)   "
  echo "    - Sentinel Key Server"


  
ask
if [ "$choice" == "0" ]
then
    exit
fi

#Uninstall The Server.
rpm -q $SERVER_RPM-$srv_version > /dev/null 2>&1
if [ $? -eq 0 ]
then 
    rpm -e $SERVER_RPM-$srv_version > /dev/null 2>&1
    if [ $? -ne 0 ]
    then 
        echo "An error occured while uninstalling the Sentinel Keys Server"
        #exit
    else
        echo "Sentinel Keys Server Uninstalled Successfully"
    fi
    echo $line
else
   echo "Sentinel Keys Server not installed."
   echo $line
fi


if [ "$choice" == "2" ]
then 
 
	echo "Uninstalling Sentinel USB Daemon..."
	rpm -q $SUD_RPM-$sud_version > /dev/null 2>&1
	if [ $? -ne 0 ]
	then
	    echo "Sentinel USB Daemon not installed. "
	    echo $line
	    exit
	fi

	   rpm -e $SUD_RPM-$sud_version 2> /dev/null
	   if [ $? -eq 0 ]
    	   then
      		rpm -q $SUD_RPM-$sud_version > /dev/null 2>&1
      		if [ $? -ne 0 ]
      		then
        	#rm -f $PACKAGE_DIR/$PRODUCT_NAME_DIR/$MAJOR.$MINOR/skpi_uninstall.sh > /dev/null 2>&1
        	#rm -f $SPI_INSTALL_DIR/english/skpi_uninstall.sh > /dev/null 2>&1
        	# Remove Web Help and Readme.pdf
          	
			rpm -q $SPI_RPM-$version > /dev/null 2>&1
          		if [ $? -ne 0 ] ; then     # Remove if spi rpm is not installed.
        	     		rm -rf   $SPI_INSTALL_DIR  > /dev/null 2>&1
          		else
             			(rpm -e $SPI_RPM-$version) > /dev/null 2>&1
          		fi
          	
			#Remove directories if empty.
          		val=`ls $PACKAGE_DIR/$PRODUCT_NAME_DIR/$MAJOR.$MINOR/ 2>/dev/null`
          		if [ "$val" = "" ]
          		then
             			rm -rf $PACKAGE_DIR/$PRODUCT_NAME_DIR/$MAJOR.$MINOR
          		fi
                                                                                                                                              
          		val=`ls $PACKAGE_DIR/$PRODUCT_NAME_DIR/ 2>/dev/null`
          		if [ "$val" = "" ]
          		then
            			rm -rf $PACKAGE_DIR/$PRODUCT_NAME_DIR/
          		fi
          		
			val=`ls $PACKAGE_DIR/ 2>/dev/null`
          		if [ "$val" = "" ]
          		then
            			rm -rf $PACKAGE_DIR/
          		fi
      		fi
	else
		echo "An error occured while uninstalling the SUD."
 	fi
fi

##################################################################

	if [ -f "$sntl_product_info" ]
	then
        	info_data=`grep product $sntl_product_info`
	        info_data=${info_data}`grep sud $sntl_product_info`
	        info_data=${info_data}`grep server $sntl_product_info`

        	if [ -z "$info_data" ]
	        then
        		rm -rf `dirname $sntl_product_info`
	        fi
	fi

#############################################################################
